%global _hardened_build 1

%global _for_fedora_koji_builds 0

%if ( 0%{?fedora} && 0%{?fedora} > 16 ) || ( 0%{?rhel} && 0%{?rhel} > 6 )
%global           _with_systemd true
%endif

# From https://fedoraproject.org/wiki/Packaging:Python#Macros
%if ( 0%{?rhel} && 0%{?rhel} <= 5 )
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Summary: Common libraries, tools, configurations for Gluster node and Nagios server add-ons
Name:             gluster-nagios-common
Version:          0.2.4
Release:          1%{?dist}
License:          GPLv2+
Group:            Applications/System
URL:              http://www.redhat.com
Vendor:           Red Hat, Inc.
Source0:          %{name}-%{version}.tar.gz

BuildArch:        noarch
BuildRoot:        %{_tmppath}/%{name}-%{version}-root
#BuildRequires:    pyflakes
#BuildRequires:    python27-python-pep8
BuildRequires:    python-nose
BuildRequires:    python-devel
BuildRequires:    python-cpopen
BuildRequires:    python-ethtool
BuildRequires:    python-mock
BuildRequires:    python-pthreading
Requires:         python-argparse
Requires:         python-cpopen
Requires:         python-pthreading

%description
Common libraries, tools, configurations for Gluster node and Nagios server add-ons

%package tests
Summary:          Unit/functional tests of Common libraries, tools, configurations for Gluster node and Nagios server add-ons
Group:            Development/Tools
Requires:         %{name} = %{version}-%{release}
Requires:         pyflakes
Requires:         python-pep8
Requires:         python-nose
Requires:         python-devel

%description tests
Unit/functional tests of Common libraries, tools, configurations for Gluster node and Nagios server add-ons

%prep
%setup -q

%build
%{configure}
make

#%check
#make check

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitearch}/glusternagios/*

%files tests
%defattr(-,root,root,-)
%{_datadir}/%{name}/tests/*

%changelog
* Tue Apr 05 2016 Sahina Bose <sabose@redhat.com> - 0.2.4-1
- Resolves: rhbz#1312207

* Fri Nov 06 2015 Sahina Bose <sabose@redhat.com> - 0.2.3-1
- Resolves: rhbz#1261004

* Thu Aug 27 2015 Ramesh Nachimuthu <rnachimu@redhat.com> - 0.2.2-1
- Resolves: rhbz#1240959

* Mon Aug 17 2015 Ramesh Nachimuthu <rnachimu@redhat.com> - 0.2.1-1
- Resolves: rhbz#1235651

* Wed May 6 2015 Ramesh Nachimuthu <rnachimu@redhat.com> - 0.2.0-1
- Resolves: rhbz#1081900

* Thu Oct 16 2014 Ramesh Nachimuthu <rnachimu@redhat.com> - 0.1.4-1
- fix bugs bz#1109727 bx#1109752

* Sun Jun 22 2014 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 0.1.3-2
- Added BuildArch: noarch

* Fri Jun 13 2014 Sahina Bose <sabose@redhat.com> - 0.1.3-1
- fix bugs bz#1101223 (re-opened)

* Fri Jun 06 2014 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - v0.1.2-1
- fix bugs bz#1101223

* Thu May 29 2014 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - v0.1.1-1
- fix bugs bz#1101218

* Wed May 07 2014 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - v0.1.0-26.git2b35b66
- new build based on commit 2b35b66

* Mon May 05 2014 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - v0.1.0-25.git43e6656
- new build based on commit:43e6656

* Sat Mar 08 2014 Bala FA <barumuga@redhat.com>
- Initial build.
